Package org.eclipse.draw2d.graph

# Class Path

java.lang.Object
org.eclipse.draw2d.graph.Path

public class Path extends Object
A Path representation for the ShortestPathRouting. A Path has a start and end point and may have bendpoints. The output of a path is accessed via the method `getPoints()`. This class is for internal use only.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`data`
An arbitrary data field which can be used to map a Path back to some client object.
`boolean`
`isDirty`
this field is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`Path()`
Constructs a new path.
`Path(Object data)`
Constructs a new path with the given data.
`Path(Point start, Point end)`
Constructs a new path with the given data, start and end point.

## Method Summary

Modifier and Type
Method
Description
`PointList`
`getBendPoints()`
Returns the list of constrained points through which this path must pass or `null`.
`Point`
`getEndPoint()`
Returns the end point for this path
`PointList`
`getPoints()`
Returns the solution to this path.
`Point`
`getStartPoint()`
Returns the start point for this path
`void`
`setBendPoints(PointList bendPoints)`
Sets the list of bend points to the given list and dirties the path.
`void`
`setEndPoint(Point end)`
Sets the end point for this path to the given point.
`void`
`setStartPoint(Point start)`
Sets the start point for this path to the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### data

public Object data
An arbitrary data field which can be used to map a Path back to some client object.

### isDirty

public boolean isDirty
this field is for internal use only. It is true whenever a property has been changed which requires the solver to resolve this path.

## Constructor Details

### Path

public Path()
Constructs a new path.

Since:
  3.0

### Path

public Path(Object data)
Constructs a new path with the given data.

Parameters:
  `data` - an arbitrary data field
Since:
  3.0

### Path

public Path(Point start, Point end)
Constructs a new path with the given data, start and end point.

Parameters:
  `start` - the start point for this path
  `end` - the end point for this path

## Method Details

### getBendPoints

public PointList getBendPoints()
Returns the list of constrained points through which this path must pass or `null`.

Returns:
  list of bend points
See Also:
  - `setBendPoints(PointList)`

### getEndPoint

public Point getEndPoint()
Returns the end point for this path

Returns:
  end point for this path

### getPoints

public PointList getPoints()
Returns the solution to this path.

Returns:
  the points for this path.

### getStartPoint

public Point getStartPoint()
Returns the start point for this path

Returns:
  start point for this path

### setBendPoints

public void setBendPoints(PointList bendPoints)
Sets the list of bend points to the given list and dirties the path.

Parameters:
  `bendPoints` - the list of bend points

### setEndPoint

public void setEndPoint(Point end)
Sets the end point for this path to the given point.

Parameters:
  `end` - the new end point for this path

### setStartPoint

public void setStartPoint(Point start)
Sets the start point for this path to the given point.

Parameters:
  `start` - the new start point for this path